<?php

	/*
		Plugin Name: Flash Pages
		Description: The creativity HTML5 page builder using CKEditor inline text editing. 
		Version: 2.0
	*/

	
	register_activation_hook( __FILE__, 'activate_flashpages');

	function activate_flashpages() {
		global $wpdb;
		$table_name = $wpdb->prefix . "flashpages_pages";
		   
		   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
		      
		      $sql = "CREATE TABLE " . $table_name . " (
			   id INTEGER(40) UNSIGNED AUTO_INCREMENT,
			   html longtext,
			   name varchar(500),
			   UNIQUE KEY id (id)
			 );";
		
		      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		      dbDelta($sql);
		   }


		  
	  }
	
	function flashpages_newPage($html, $name) {
		global $wpdb;
 		$table_db_name = $wpdb->prefix . "flashpages_pages";
 		$wpdb->insert( $table_db_name, 
        array( 
	     'html' => $html,
	     'name' => $name
	      )
		);
	}
	function flashpages_updatePage($html, $id) {
		global $wpdb;
		$table_db_name = $wpdb->prefix . "flashpages_pages";
		$wpdb->update( 
			$table_db_name, 
			array( 
				'html' => $html
			), 
			array( 'ID' => $id )
		);
	}

	function flashpages_deletePage($id) {
		global $wpdb;
		$table_db_name = $wpdb->prefix . "flashpages_pages";
		$wpdb->query($wpdb->prepare ("DELETE FROM $table_db_name WHERE ID = $id" ));
	}

	add_action('admin_menu', 'flashpages_adminSettings');

	function flashpages_adminPage() {
			include('adminsettings.php');
		}

	function flashpages_adminSettings() {

	   add_menu_page('Flash Pages', 'Flash Pages', 'manage_options', 'flashpages', 'flashpages_adminPage', plugins_url().'/flashpages/images/favicon.png');
	}

	

add_action( 'add_meta_boxes', 'flashpagesx_meta_box_add' );

function flashpagesx_meta_box_add(){
	add_meta_box( 'flashpagesx-id', 'Link to Flash Page', 'flashpagesx_meta_box_cb', 'page', 'side', 'high' );
}

function flashpagesx_meta_box_cb(){ 
	
	   global $post;  
	   $values = get_post_custom( $post->ID );  
	   $selected = isset( $values['flashpagesx_meta_box_select'] ) ?
	   esc_attr( $values['flashpagesx_meta_box_select'] ) : '';
	    
	   wp_nonce_field( 'flashpagesx_meta_box_nonce', 'flashpagesx_box_nonce' );
	   
	   $flashpagesxSelected = $values['flashpagesx_meta_box_select'];
	      
	   $flashpagesxCurrentSelected = $flashpagesxSelected[0];
	      
	?>
	<img src="../wp-content/plugins/flashpages/images/logo.png" style="width: 100%">
	
	<br>   
	<select  name="flashpagesx_meta_box_select" id="flashpagesx_meta_box_select" style="margin-top: 10px; padding: 6px; height: 30px; width: 255px;">
	
	<option <?php if($flashpagesxCurrentSelected == "0"){ echo "selected='selected'"; } ?> value="0">(none) Show Original Page</option>
	
	
		  	<?php 
		   	
		   	global $wpdb;
		   	
			$table_db_name = $wpdb->prefix . "flashpages_pages";

		   	$templates = $wpdb->get_results("SELECT * FROM $table_db_name",ARRAY_A);
		   	$templates = array_reverse($templates );
		   	
		   	foreach($templates as $template){
		   	
		   		$name = stripslashes($template['name']);
		   		$id = stripslashes($template['id']);
		   		$selectedBox = "";
		   		if($flashpagesxCurrentSelected == $id){ $selectedBox = "selected='selected'"; }
		   		
		   		echo "<option $selectedBox value='$id'>$name</option>";
		   	
		   	}
		   	
		   	?>
	
	</select>
	
	<?php
}

// Save Settings

add_action( 'save_post', 'flashpagesx_meta_box_save' );

function flashpagesx_meta_box_save( $post_id ){
	// Bail if we're doing an auto save
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;

	// if our nonce isn't there, or we can't verify it, bail
	if( !isset( $_POST['flashpagesx_box_nonce'] ) || !wp_verify_nonce( $_POST['flashpagesx_box_nonce'], 'flashpagesx_meta_box_nonce' ) ) return;

	// if our current user can't edit this post, bail
	if( !current_user_can( 'edit_post' ) ) return;
	
	// now we can actually save the data 
	  
	// Make sure your data is set before trying to save it  

	if( isset( $_POST['flashpagesx_meta_box_select'] ) )  
	        update_post_meta( $post_id, 'flashpagesx_meta_box_select', esc_attr( $_POST['flashpagesx_meta_box_select'] ) );  
	                         
}

// Get post settings ::

add_action('template_redirect', 'flashpagesx_checkpost');

function flashpagesx_checkpost(){
	
	// get POST ID:
	global $post;  
	$values = get_post_custom( $post->ID );  
	$selected = isset( $values['flashpagesx_meta_box_select'] );	
	$flashpagesxSelected = $values['flashpagesx_meta_box_select'];
	
	$flashpagesxCurrentSelected = $flashpagesxSelected[0];
	
	
	if($flashpagesxCurrentSelected == "0" || $flashpagesxCurrentSelected == ""){
		// do nothing...
	} else {
				
			$full_path = WP_PLUGIN_URL.'/'.str_replace(basename( FILE),"",plugin_basename(FILE));
			
			$client = urlencode($flashpagesxCurrentSelected);
			
			$postID = $post->ID;
			
			// $url = $full_path. "flashpages/lp/index.php?id=$client&p=$postID";
			
			

	global $post;
	global $wpdb;
	$getPage = $wpdb->prefix . "flashpages_pages";
	$id = $flashpagesxCurrentSelected;
	$templates = $wpdb->get_results("SELECT * FROM $getPage WHERE id = $id" ,ARRAY_A);
		
	$tpl = get_post_meta($post->ID,'_template',true);
	
 foreach($templates as $template) { } ?>

			<!doctype html>
				<link rel="stylesheet" href="<?php echo plugins_url() ?>/flashpages/editor/toast.css">
				<style>
					@import url(http://fonts.googleapis.com/css?family=Droid+Serif:400,700,400italic,700italic);
					body {
						font-family: 'Droid Serif', Serif;
					}
				</style>
				<title><?php the_title(); ?></title>
				<link href='http://fonts.googleapis.com/css?family=Droid+Sans:400,700&subset=latin,cyrillic-ext,greek-ext,greek,vietnamese,latin-ext,cyrillic' rel='stylesheet' type='text/css'>
				<link href='http://fonts.googleapis.com/css?family=Roboto:400,700' rel='stylesheet' type='text/css'>
				<script src='http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js'></script>
			    <link href='http://fonts.googleapis.com/css?family=Noto+Serif:400,700,400italic,700italic|Londrina+Shadow|Noto+Sans:400,400italic,700,700italic|Patrick+Hand+SC|Faster+One|Bangers&subset=latin,cyrillic-ext,greek-ext,greek,vietnamese,latin-ext,cyrillic' rel='stylesheet' type='text/css'>
			    <style>
					#toolbar, #contentToolbar, #headlineToolbar, #cssToolbar, #typeToolbar, #extraToolbar  {
						display: none !important;
					}
					.cke_editable.cke_editable_inline.cke_focus
					{
						
						background: none;
					}
					.cke_editable.cke_editable_inline:nth-child(odd):hover
					{
						
						background: none;
					}
			    </style>
			    <script>
					$(document).ready(function() {
  $('#fauxBody') .css({'height': (($(window).height()))+'px'});
    $(window).resize(function(){
        $('#fauxBody') .css({'height': (($(window).height()))+'px'});
    });
						$('#moreContent').attr('contenteditable', 'false');
					});
			    </script>
			
				<div id="body">
					<?php echo $template['html']; ?>
				</div>
			<?php 
			die();
			
		}
		
	

};

?>